Last Comment Bug 634881 - A new tab (from another group) is present in a group after a session restore
: A new tab (from another group) is present in a group after a session restore
Status: VERIFIED FIXED
[4.0]
:
Product: Firefox
Classification: Client Software
Component: Session Restore (show other bugs)
: unspecified
: x86 Windows 7
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-17 05:23 PST by AndreiD[QA]
Modified: 2011-11-04 06:05 PDT (History)
8 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
[STR] SessionStore file after step 6 (5.48 KB, application/x-javascript)
2011-02-18 02:15 PST, AndreiD[QA]
no flags Details
[STR] SessionStore file after step 7 (3.04 KB, application/x-javascript)
2011-02-18 02:15 PST, AndreiD[QA]
no flags Details

Description AndreiD[QA] 2011-02-17 05:23:29 PST
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US) AppleWebKit/534.13 (KHTML, like Gecko) Chrome/9.0.597.98 Safari/534.13
Build Identifier: Mozilla/5.0 (Windows NT 6.1; rv:2.0b12pre) Gecko/20110216 Firefox/4.0b12pre

After a second session restore, if de-selecting tabs, a new tab (from another group) is present in a group.

Reproducible: Always

Steps to Reproduce:
1. Open 4 tabs in 2 different groups (Example: google and yahoo in group 1; bing and baidu in group 2)
2. In group 1 focus on the second tab (Example: yahoo)
3. Kill Firefox using task manager (from processes tab)
4. In the restore window de-select the tab that was active (Example: yahoo)
5. Open a new tab in Group 1 and load a website (Example: Yahoo)
6. Kill Firefox using task manager (from processes tab)
7. In the restore window de-select the tab that was inactive in Group 1 (Example: google)
Actual Results:  
7. Browser windows is displaying two tabs, one from the other group (Example: bing and yahoo are displayed)

Expected Results:  
7. Browser window should display the one (only) tab in Group 1 (example: yahoo)

*Note:
To get the session restore window you can go to browser.sessionstore.max_resumed_crashes and change the value to "0" (in "about:config")
Comment 1 Paul O'Shannessy [:zpao] (not reading much bugmail, email directly) 2011-02-17 10:25:16 PST
This sounds like it might be a case of timing between killing the process and when state is being saved. But it might not be. If you could attach your sessionstore.js (in your profile folder) after step 6, that would help.
Comment 2 AndreiD[QA] 2011-02-18 02:14:15 PST
Attached 2 .js files:
sessionstore - after step 6
sessionstore - after step 7
Comment 3 AndreiD[QA] 2011-02-18 02:15:27 PST
Created attachment 513412 [details]
[STR] SessionStore file after step 6
Comment 4 AndreiD[QA] 2011-02-18 02:15:57 PST
Created attachment 513413 [details]
[STR] SessionStore file after step 7
Comment 5 aravindm 2011-03-14 02:49:51 PDT
Mozilla/5.0 (Windows NT 6.1; rv:2.0) Gecko/20100101 Firefox/4.0

Able to reproduce. After Step 7, 2 tabs are displayed with 1 tab from other group.
Comment 6 AndreiD[QA] 2011-03-30 07:10:59 PDT
Reproducible on:
 Mozilla/5.0 (Windows NT 6.1; rv:2.0) Gecko/20100101 Firefox/4.0
Comment 7 Paul O'Shannessy [:zpao] (not reading much bugmail, email directly) 2011-10-07 14:45:51 PDT
Is this still reproducible?
Comment 8 AndreiD[QA] 2011-10-10 01:13:42 PDT
(In reply to Paul O'Shannessy [:zpao] from comment #7)
> Is this still reproducible?

I tested to see if the issue is still reproducible on the latest Nightly. Apparently, some other fixes solved this one as well.
Setting this bug as WFM on the latest Nightly build, on both x86 and x64 versions of Windows 7;
Mozilla/5.0 (Windows NT 6.1; rv:10.0a1) Gecko/20111009 Firefox/10.0a1
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:10.0a1) Gecko/20111009 Firefox/10.0a1
Comment 9 AndreiD[QA] 2011-10-10 01:13:52 PDT
(In reply to Paul O'Shannessy [:zpao] from comment #7)
> Is this still reproducible?

I tested to see if the issue is still reproducible on the latest Nightly. Apparently, some other fixes solved this one as well.
Setting this bug as Fixed on the latest Nightly build, on both x86 and x64 versions of Windows 7;
Mozilla/5.0 (Windows NT 6.1; rv:10.0a1) Gecko/20111009 Firefox/10.0a1
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:10.0a1) Gecko/20111009 Firefox/10.0a1

Note You need to log in before you can comment on or make changes to this bug.